petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPPIPEGCRGetTruncationType

get the truncation strategy employed by PIPEGCR

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRGetTruncationType(KSP ksp,KSPFCDTruncationType *truncstrat)

Not Collective

KSP_FCD_TRUNC_TYPE_STANDARD uses all (up to mmax) stored directions KSP_FCD_TRUNC_TYPE_NOTAY uses the last max(1,mod(i,mmax)) directions at iteration i=0,1,..

### Input Parameter

ksp -the Krylov space context

### Output Parameter

truncstrat -the strategy type

### Options Database

-ksp_pipegcr_truncation_type <standard,notay> -which stored basis vectors to orthogonalize against

### Keywords

KSP, PIPEGCR, truncation

### See Also

KSPPIPEGCR, KSPPIPEGCRSetTruncationType, KSPPIPEGCRTruncationType, KSPFCDTruncationType

### Level

intermediate

### Location

src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages